Risultati da 1 a 1 di 1
  1. #1
    Moderatore Solidworks L'avatar di Oldwarper
    Iscritto dal
    2007
    Messaggi
    2098
    Professione
    Progettista
    Regione
    Emilia Romagna
    Software
    Solidworks, Cimatron IT, Cimatron E, Rhino, AutoCAD, Logopress, Solidcam

    Predefinito [Recuperato] api di solidworks ??

    -Discussione recuperata dalla cache di Google.
    -I rispettivi moderatori sono autorizzati a cancellare o modificare la presente discussione dal proprio forum.
    Grazie per la collaborazione.
    Oldwarper.


    puriddu
    27-11-2006, 20.04.00

    Buongiorno a tutti, vorrei imaparare ad adoperare le api di solid works ho visto che esiste una guida in linea.... oltre a questo esistono manuali e/o forum di riferimanto per coloro che usano le API di solidworks???
    grazie


    alexskull
    27-11-2006, 20.06.21

    beh, sicuramente un bel manuale di visual basic ti aiuta
    poi nell help e sul sito solidworks (e su tanti altri siti)
    ci sono tantissimi esempi di macro che puoi sfruttare per capire come funzionano.
    infine ti consiglio di provare a registrare qualche sequenza di comandi in modo da vedere poi nella macro come viene fatta programmando


    pose63
    28-11-2006, 09.03.22

    Ma girando nei forum ho trovato questo
    http://www.eng-tips.com/viewthread.c...167368&page=14


    puriddu
    28-11-2006, 11.12.30

    Grazie per le info, ma mi interessava avere qualche suggerimento piu specifico tipo se c'è qualche manuale di vb che magari avete gia adoperato e vi sembra buono...
    ci sono tantissimi esempi di macro che puoi sfruttare per capire come funzionano.
    infine ti consiglio di provare a registrare qualche sequenza di comandi in modo da vedere poi nella macro come viene fatta programmando
    ... quest'ultima informazione mi interessa molto soltanto che non ho mai provato e cortesemente volevo chiedere se è possibile avere almeno un piccolo esempio
    grazie


    Slicio
    28-11-2006, 11.37.07

    Grazie per le info, ma mi interessava avere qualche suggerimento piu specifico tipo se c'è qualche manuale di vb che magari avete gia adoperato e vi sembra buono...
    ... quest'ultima informazione mi interessa molto soltanto che non ho mai provato e cortesemente volevo chiedere se è possibile avere almeno un piccolo esempio
    grazie
    Potresti cominciare col registrare una macro che per esempio ti faccia vedere il comando di estrusione: prepari lo schizzo da estrudere e prima di selezionare la funzione di estrusione vai su Strumenti->Macro->Registra. Esegui l'operazione di estrusione e poi fermi la macro con Strumenti->Macro->Ferma.
    A questo punto la salvi e vai in modifica a vedere il codice che è stato creato, guardi i comandi e cominci a spulciare l'help in linea proprio di questi comandi. Poi fai un'altra operazione ed impari nuovi comandi, poi un'altra .... e così via.

    Giusto a titolo di esempio, il codice che ti crea una cosa del genere è la seguente:

    Sub main()
    Set swApp = Application.SldWorks
    Set Part = swApp.ActiveDoc
    Set SelMgr = Part.SelectionManager
    Part.ShowNamedView2 "*Trimetrico", 8
    Part.ClearSelection2 True
    Part.FeatureManager.FeatureExtrusion2 True, False, False, 0, 0, 0.01, 0.01, False, False, False, False, 0.01745329251994, 0.01745329251994, False, False, False, False, 1, 1, 1, 0, 0, False
    Part.SelectionManager.EnableContourSelection = 0
    End Sub


    La cosa che dovresti evitare durante le registrazione (almeno all'inizio) è lo spostamento del modello nell'area grafica perchè vengono registrate anche queste istruzioni e rischiano di farti perdere il filo.


    puriddu
    28-11-2006, 12.49.04
    grazie Slicio per le info ... .... se hai altri suggerimenti sono ben accetti!!
    grazie mille


    Slicio
    28-11-2006, 14.39.40

    grazie Slicio per le info ... .... se hai altri suggerimenti sono ben accetti!!
    grazie mille
    Altri suggerimenti possono arrivare nel momento in cui hai dei dubbi più specifici, al momento quello che ti posso dire è di sperimentare comandi e leggerti l'help in linea.
    Prova a farti un progettino tutto tuo, magari estrudi un parallelepipedo, selezioni una faccia e gli fai un foro. Sicuramente non riuscirai a scrivere tutto subito, ma se registri i singoli passi e ti guardi i codici delle singole operazioni registrate, impari a riconoscere i vari comandi.
    Per il resto devi comunque conoscere il Visual Basic.
    Ciao


    alexskull
    28-11-2006, 15.19.59

    basta che cerchi su google "guida a visual basic" ..
    trovi centinaia di documentazione per imparare ...


    JENUARY
    01-12-2006, 11.38.37

    Salve a tutti,
    ho visionato il sito che gentilmente ha indicato Pose63 (complimenti, sei sempre aggiornatissimo), e da quanto ho capito dalla rel. 2008 di Sw si può programmare soltanto in C# o C++?
    Io spero di no, altrimenti prevedo un vero e prorio bagno di sangue nei miei aggiornamenti.
    Sarei molto interessato ad approffondire l'argomento!!
    Saluti Jenuary
    Ultima modifica di Sandra_ME30; 13-02-2008 alle 16: 15
    Saluti, Stefano.
    “Timeo Fenestras et dona ferentes”


  • Discussioni Simili

    1. [Recuperato] Solidworks Su Mac
      Di Oldwarper nel forum Solidworks
      Risposte: 62
      Ultimo Messaggio: 02-04-2010, 09: 08
    2. [Recuperato] Solidworks vs UGS
      Di Oldwarper nel forum CAD meccanici a confronto
      Risposte: 20
      Ultimo Messaggio: 13-03-2008, 21: 23
    3. [Recuperato] solidworks vs pro-e
      Di Oldwarper nel forum CAD meccanici a confronto
      Risposte: 25
      Ultimo Messaggio: 21-02-2008, 18: 37
    4. [Recuperato] SolidWorks e CNC
      Di Oldwarper nel forum Solidworks
      Risposte: 0
      Ultimo Messaggio: 21-02-2008, 12: 06
    5. [Recuperato] SolidWorks e CNC
      Di Oldwarper nel forum Solidworks
      Risposte: 0
      Ultimo Messaggio: 18-01-2008, 17: 13

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti